Bio::FeatureIO::vecscreen_simple(3)

NAME
Bio::FeatureIO::vecscreen_simple - read/write features from NCBI vecscreen -f 3 output

SYNOPSIS
    # read features
    my $fin = Bio::FeatureIO->new(-file=>'vecscreen.out',
                                  -format=>'vecscreen_simple');
    my @vec_regions;
    while (my $f = $fin->next_feature) {
      push @vec_regions, $f;
    }

    # write features NOT IMPLEMENTED

DESCRIPTION
vecscreen is a system for quickly identifying segments of a nucleic acid sequence that may be of vector origin. NCBI developed vecscreen to minimize the incidence and impact of vector contamination in public sequence databases. GenBank Annotation Staff use vecscreen to verify that sequences submitted for inclusion in the database are free from contaminating vector sequence. Any sequence can be screened for vector contamination using vecscreen.

This module provides parsing for vecscreen '-f 3' output, described in the vecscreen documentation as 'Text list, no alignments'

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

 bioperl-l@bioperl.org                  - General discussion
 http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

 http://bugzilla.open-bio.org/

AUTHOR - Robert Buels
Email rmb32 AT cornell.edu

CONTRIBUTORS
Based on ptt.pm by Torsten Seeman

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  _initialize
Title : _initialize Function: Reading? parses the header of the input
          Writing?

  next_feature
  Title   : next_feature
  Usage   : $io->next_feature()
  Function: read the next feature from the vecscreen output file
  Args    : none
  Returns : Bio::SeqFeatureI object

  write_feature (NOT IMPLEMENTED)
  Title   : write_feature
  Usage   : $io->write_feature($feature)
  Function: write a Bio::SeqFeatureI object in vecscreen -f 3 format
  Example :
  Args    : Bio::SeqFeatureI object
  Returns :